std::__shared_mutex_cv(3cxx)

NAME
std::__shared_mutex_cv - A shared mutex type implemented using std::condition_variable.

SYNOPSIS

#include <shared_mutex>

Inherited by std::shared_timed_mutex [private].

  Public Member Functions

__shared_mutex_cv (const __shared_mutex_cv &)=delete
void lock ()
void lock_shared ()
__shared_mutex_cv & operator= (const __shared_mutex_cv &)=delete
bool try_lock ()
bool try_lock_shared ()
void unlock ()
void unlock_shared ()

  Friends

class shared_timed_mutex

Detailed Description

A shared mutex type implemented using std::condition_variable.

Definition at line 255 of file shared_mutex.

Constructor & Destructor Documentation

  std::__shared_mutex_cv::__shared_mutex_cv () [inline]

Definition at line 304 of file shared_mutex.

  std::__shared_mutex_cv::~__shared_mutex_cv () [inline]

Definition at line 306 of file shared_mutex.

Member Function Documentation

  void std::__shared_mutex_cv::lock () [inline]

Definition at line 317 of file shared_mutex.

  void std::__shared_mutex_cv::lock_shared () [inline]

Definition at line 353 of file shared_mutex.

  bool std::__shared_mutex_cv::try_lock () [inline]

Definition at line 328 of file shared_mutex.

  bool std::__shared_mutex_cv::try_lock_shared () [inline]

Definition at line 361 of file shared_mutex.

  void std::__shared_mutex_cv::unlock () [inline]

Definition at line 340 of file shared_mutex.

  void std::__shared_mutex_cv::unlock_shared () [inline]

Definition at line 375 of file shared_mutex.

Friends And Related Symbol Documentation

  friend class shared_timed_mutex [friend]

Definition at line 257 of file shared_mutex.

Author

Generated automatically by Doxygen for libstdc++ from the source code.